package com.ruoyi.tcZz.mapper;

import java.util.List;
import com.ruoyi.tcZz.domain.TcYqxxlnum;
import org.apache.ibatis.annotations.Param;

/**
 * 舆情信息量统计Mapper接口
 * 
 * @author ruoyi
 * @date 2023-10-12
 */
public interface TcYqxxlnumMapper 
{
    /**
     * 查询舆情信息量统计
     * 
     * @param id 舆情信息量统计主键
     * @return 舆情信息量统计
     */
    public TcYqxxlnum selectTcYqxxlnumById(Long id);

    /**
     * 查询舆情信息量统计列表
     * 
     * @param tcYqxxlnum 舆情信息量统计
     * @return 舆情信息量统计集合
     */
    public List<TcYqxxlnum> selectTcYqxxlnumList(TcYqxxlnum tcYqxxlnum);

    /**
     * 新增舆情信息量统计
     * 
     * @param tcYqxxlnum 舆情信息量统计
     * @return 结果
     */
    public int insertTcYqxxlnum(TcYqxxlnum tcYqxxlnum);

    /**
     * 修改舆情信息量统计
     * 
     * @param tcYqxxlnum 舆情信息量统计
     * @return 结果
     */
    public int updateTcYqxxlnum(TcYqxxlnum tcYqxxlnum);

    /**
     * 删除舆情信息量统计
     * 
     * @param id 舆情信息量统计主键
     * @return 结果
     */
    public int deleteTcYqxxlnumById(Long id);

    /**
     * 批量删除舆情信息量统计
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcYqxxlnumByIds(Long[] ids);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(@Param("isStatus") Integer isStatus, @Param("ids") List<String> ids);
}
